
#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "system.h"
#include "isr.h"



// global variables defined in main
extern uint8_t ui_mode;

//--------Run at 1 KHz-----------------------------	
ISR (TIMER1_COMPA_vect) {
	hwtimer__tick_1khz = 1;

	// time-critical code goes here

	if( ++isr_tick_10hz == 100) { // run at 10Hz 
		isr_tick_10hz = 0;
		}
} 
